package jj.tech.paolu.repository.mybatis.control;

import jj.tech.paolu.repository.mybatis.dao.SysConfigMapper;
import jj.tech.paolu.repository.mybatis.entity.SysConfig;
import jj.tech.paolu.utils.IDHelp;
import jj.tech.paolu.utils.R;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("mybatis/sysConfig")
public class SysConfigController {

    @Autowired
    public SysConfigMapper sysConfigMapper;

    @PostMapping("findById/{id}")
    public Object findById(@PathVariable("id") String id) {
        return R.SUCCESS(sysConfigMapper.selectByPrimaryKey(id).orElse(null));
    }

    @PostMapping("delete/{id}")
    public Object delete(@PathVariable("id") String id) {
        return R.SUCCESS(sysConfigMapper.deleteByPrimaryKey(id));
    }

    @PostMapping("save")
    public Object save(@RequestBody SysConfig record) {
        record.setId(IDHelp.getInstance().nextId());
        return R.SUCCESS(sysConfigMapper.insertSelective(record));
    }

    @PostMapping("update")
    public Object update(@RequestBody SysConfig record) {
        return R.SUCCESS(sysConfigMapper.updateByPrimaryKeySelective(record));
    }
}